--TEST--
delimiters #6 - Post-Partial Behavior
--DESCRIPTION--
Post-Partial Behavior - Delimiters set in a partial should not affect the parent template.
--SKIPIF--
<?php if( !extension_loaded('handlebars') ) die('skip '); ?>
--FILE--
<?php
use Handlebars\Compiler;
use Handlebars\Parser;
use Handlebars\Tokenizer;
use Handlebars\Utils;
use Handlebars\VM;
require __DIR__ . "/../../utils.inc";
use Handlebars\DefaultRegistry;
use Handlebars\SafeString;
$tmpl = '[ {{>include}} ]
[ .{{value}}.  .|value|. ]
';
$context = array(
        'value' => 'yes',
    );
$partials = new DefaultRegistry(array(
        'include' => '.{{value}}. {{= | | =}} .|value|.',
    ));
$options = array(
        'compat' => true,
        'mustacheStyleLambdas' => true,
    );
$vm = new VM();
$vm->setPartials($partials);
echo $vm->render($tmpl, $context, $options);
--EXPECT--
[ .yes.  .yes. ]
[ .yes.  .|value|. ]
