--TEST--
partials #3 - Context
--DESCRIPTION--
Context - The greater-than operator should operate within the current context.
--SKIPIF--
<?php if( !extension_loaded('handlebars') ) die('skip '); ?>
--FILE--
<?php
use Handlebars\Compiler;
use Handlebars\Parser;
use Handlebars\Tokenizer;
use Handlebars\Utils;
use Handlebars\VM;
require __DIR__ . "/../../utils.inc";
use Handlebars\DefaultRegistry;
use Handlebars\SafeString;
$tmpl = '"{{>partial}}"';
$context = array(
        'text' => 'content',
    );
$partials = new DefaultRegistry(array(
        'partial' => '*{{text}}*',
    ));
$options = array(
        'compat' => true,
        'mustacheStyleLambdas' => true,
    );
$vm = new VM();
$vm->setPartials($partials);
echo $vm->render($tmpl, $context, $options);
--EXPECT--
"*content*"